package com.ssj.service.conch.student.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
public class SchoolmateCircleDto implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 分享人名
     */
    private String name;
    /**
     * 分享人头像
     */
    private String photoUrl;
    /**
     * 同学圈文本
     */
    private String content;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 同学圈素材，多个素材用逗号隔开
     */
    private List<String> material;
    /**
     * 点赞数量
     */
    private int likeNum;
    /**
     * 评论数量
     */
    private int commentNum;
    /**
     * 是否采纳解答(答题榜用到) 0:否 1:是
     */
    private int isAccept;
    /**
     * 是否点赞(分享用到) 0:否 1:是
     */
    private int isLike;
    /**
     * 同学圈分享id
     */
    private String schoolmateCircleId;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public List<String> getMaterial() {
        return material;
    }

    public void setMaterial(List<String> material) {
        this.material = material;
    }

    public int getLikeNum() {
        return likeNum;
    }

    public void setLikeNum(int likeNum) {
        this.likeNum = likeNum;
    }

    public int getCommentNum() {
        return commentNum;
    }

    public void setCommentNum(int commentNum) {
        this.commentNum = commentNum;
    }

    public int getIsAccept() {
        return isAccept;
    }

    public void setIsAccept(int isAccept) {
        this.isAccept = isAccept;
    }

    public int getIsLike() {
        return isLike;
    }

    public void setIsLike(int isLike) {
        this.isLike = isLike;
    }

    public String getSchoolmateCircleId() {
        return schoolmateCircleId;
    }

    public void setSchoolmateCircleId(String schoolmateCircleId) {
        this.schoolmateCircleId = schoolmateCircleId;
    }
}
